
Smart Proxy - Feature #11783

Basic ruby 2.0 support on Windows OS

09/11/2015 10:15 AM - Daniel Helgenberger

Status: Closed   

Priority: Normal   

Assignee: Daniel Helgenberger   

Category: DHCP   

Target version: 1.10.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/318

  

Description

On windows, smart-proxy fails to start with more recent ruby versions >=2.0.0 because of the win32/open3 gem requirement

Some people (at least me) have puppet installed on the same host as smart proxy and will need to install ruby 1.9 for smart-proxy

only.

Associated revisions

Revision 5f36f2e9 - 10/12/2015 04:47 AM - Daniel Helgenberger 

Fixes #11783 - MS providers: add compat for ruby2.0

History

#1 - 09/11/2015 10:17 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from Smart Proxy to DHCP

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/318 added

- Pull request deleted ()

#2 - 10/12/2015 04:59 AM - Dominic Cleal

- Assignee set to Daniel Helgenberger

- translation missing: en.field_release set to 63

#3 - 10/12/2015 05:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5f36f2e95761ca993fec96e6528c48caa5f8384d.
